List webhook endpoints
GET
/v1/webhook-endpoints
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.feitpay.com/v1/webhook-endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Gryphem-Environment", "test") req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.feitpay.com/v1/webhook-endpoints';const options = { method: 'GET', headers: {'Gryphem-Environment': 'test', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.feitpay.com/v1/webhook-endpoints \ --header 'Authorization: Bearer <token>' \ --header 'Gryphem-Environment: test'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Gryphem-Organization
string
Active organization for dashboard sessions. Ignored for API keys (the key determines the organization).
Gryphem-Environment
string
test (default) or live for dashboard sessions. API keys determine the environment.
Responses
Section titled “Responses”Endpoints.
Media typeapplication/json
object
object
required
string
data
required
Array<object>
object
id
required
string
object
required
string
livemode
required
boolean
url
required
string
description
required
string
enabled_events
required
Array
store_id
required
string | null
status
required
string
secret_last4
required
string | null
secret_rotated_at
required
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "object": "list", "data": [ { "object": "webhook_endpoint", "enabled_events": [ "payment_intent.created" ], "status": "enabled" } ]}Missing or invalid credentials.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Authenticated but not permitted.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Too many requests. See Retry-After.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Headers
Section titled “Headers”Retry-After
integer